Miracle Docs
Provider integrations

List provider integrations

GET
/v1/admin/provider-integrations
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://api.miracle.com/v1/admin/provider-integrations"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "code": "string",
      "protocol": "rest",
      "category": "card_acquirer",
      "credentialSchema": {
        "property1": null,
        "property2": null
      },
      "connectorBaseUrl": "http://example.com",
      "testModeAvailable": true,
      "status": "available",
      "documentationUrl": "string",
      "supportedPaymentMethods": [
        {
          "method": "card",
          "brands": [
            "string"
          ],
          "currencies": [
            "string"
          ],
          "countries": [
            "string"
          ],
          "supported": true,
          "implemented": true,
          "operations": [
            {
              "operation": "string",
              "supported": true,
              "implemented": true
            }
          ]
        }
      ],
      "supportedFeatures": [
        {
          "feature": "string",
          "supported": true,
          "implemented": true
        }
      ],
      "supportedThreeDSVersions": [
        "string"
      ],
      "threeDsCapabilities": {
        "executionModels": [
          {
            "model": "gateway_full",
            "supported": true,
            "implemented": true
          }
        ],
        "protocolVersions": [
          {
            "version": "1.0",
            "supported": true,
            "implemented": true
          }
        ],
        "controls": {
          "forceSkip": {
            "supported": true,
            "implemented": true
          },
          "challengePreference": {
            "supported": true,
            "implemented": true
          },
          "scaExemption": {
            "supported": true,
            "implemented": true
          },
          "browserData": {
            "supported": true,
            "implemented": true
          },
          "preAuthenticated": {
            "supported": true,
            "implemented": true
          },
          "storedCredentialIndicator": {
            "supported": true,
            "implemented": true
          },
          "supportedExemptions": [
            "low_value"
          ]
        },
        "challengeFlows": [
          {
            "flow": "redirect",
            "supported": true,
            "implemented": true
          }
        ]
      },
      "storedCredentialCapabilities": {
        "cardOnFile": {
          "supported": true,
          "implemented": true
        },
        "recurringMit": {
          "supported": true,
          "implemented": true
        },
        "installmentMit": {
          "supported": true,
          "implemented": true
        },
        "oneClickCit": {
          "supported": true,
          "implemented": true
        },
        "unscheduledMit": {
          "supported": true,
          "implemented": true
        }
      },
      "cutoffTimeUtc": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": null
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "prevCursor": "string",
    "hasMore": true,
    "totalCount": 0
  }
}
Empty

On this page